### Function

# PangoFc Font description_from_pattern

since: 1.4

#### Declaration [src]

    PangoFontDescription*
    pango_fc_font_description_from_pattern (
      FcPattern* pattern,
      gboolean include_size
    )

#### Description [src]

Creates a `PangoFontDescription` that matches the specified Fontconfig pattern as closely as possible.

Many possible Fontconfig pattern values, such as `FC_RASTERIZER` or `FC_DPI`, don’t make sense in the context of `PangoFontDescription`, so will be ignored.

Available since: 1.4

#### Parameters

`pattern`

  Type: `FcPattern`

  A `FcPattern`.

  The data is owned by the caller of the function.

`include_size`

  Type: `gboolean`

  If `TRUE`, the pattern will include the size from the `pattern`; otherwise the resulting pattern will be unsized. (only `FC_SIZE` is examined, not `FC_PIXEL_SIZE`).

#### Return value

Type: `PangoFontDescription`

A new `PangoFontDescription`. Free with pango_font_description_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.